network-wiredPublic API

Laravel REST API

The following routes are public available for everyone with a valid access token or basic auth credentials.

The modesk module API provides programmatic access to get a list of all contacts, to create, update or delete existing items by ID.

To use this API, you need an Username and Password. Please contact us at [email protected]envelope to get your own API key or credentials.

Show Contact

get
Authorizations
HTTPRequired
Path parameters
contactIdinteger · int64 · min: 1Required
Responses
chevron-right
200

A JSON object containing the book details.

application/json
genderstringOptional
firstnamestringRequired
idintegerOptional
lastnamestringRequired
languagestringOptional
phonestringOptional
mobilestringOptional
businessPhonestringOptional
businessMobilestringOptional
businessEmailstringOptional
emailstringOptional
titlestringOptional
birthdaystringOptional

Date in Format Y-m-d

get
/contact/{contactId}

Delete Contact

delete
Authorizations
HTTPRequired
Path parameters
contactIdinteger · int64 · min: 1Required
Responses
delete
/contact/{contactId}

No content

Update Contact

patch
Authorizations
HTTPRequired
Path parameters
contactIdinteger · int64 · min: 1Required
Body
genderstringOptional
firstnamestringOptional
lastnamestringOptional
languagestringOptional
phonestringOptional
mobilestringOptional
businessPhonestringOptional
businessMobilestringOptional
businessEmailstringOptional
emailstringOptional
titlestringOptional
birthdaystringOptional
Responses
chevron-right
200

The request was successful, and the server has returned the requested resource in the response body.

application/json
genderstringOptional
firstnamestringRequired
idintegerOptional
lastnamestringRequired
languagestringOptional
phonestringOptional
mobilestringOptional
businessPhonestringOptional
businessMobilestringOptional
businessEmailstringOptional
emailstringOptional
titlestringOptional
birthdaystringOptional

Date in Format Y-m-d

patch
/contact/{contactId}

Index Contacts

get
Authorizations
HTTPRequired
Responses
chevron-right
200

A JSON array containing book objects.

application/json
genderstringOptional
firstnamestringRequired
idintegerOptional
lastnamestringRequired
languagestringOptional
phonestringOptional
mobilestringOptional
businessPhonestringOptional
businessMobilestringOptional
businessEmailstringOptional
emailstringOptional
titlestringOptional
birthdaystringOptional

Date in Format Y-m-d

get
/contact

Create Contacts

post
Authorizations
HTTPRequired
Bodyobject[]

Data transfer object for creating a new Contact.

genderstringOptional
firstnamestringRequired
lastnamestringRequired
languagestringOptional
phonestringOptional
mobilestringOptional
businessPhonestringOptional
businessMobilestringOptional
businessEmailstringOptional
emailstringOptional
titlestringOptional
birthdaystringOptional
Responses
post
/contact

Last updated